class_name Item
extends Resource

static var ITEM_INDEX: Array[Item] = [
	preload("res://key.tres"),
	#load("res://key.tres"),
]

@export var icon: Texture
@export var name: String = "item"
@export var display_name: String = "Item"
@export_multiline var description: String = "The ultimate weapon!"

static func get_item_from_index(item_id: int) -> Item:
	return ITEM_INDEX[item_id].duplicate()
